Subject: bug#8925: 23.2; all syntax highlighting disappears from ERC mode when I M-x toggle-show-tabs-show-ws

From: Stefan Monnier <[email-masked]>
Date: Sun, 26 Jun 2011 08:59:17 -0400

>> ERC normally shows all sorts of useful information by changing the
>> fonts, for example, nicks are in different colors. However recently I
>> ran M-x toggle-show-tabs-show-ws, and now when I start an ERC buffer
>> (for example by joining a new IRC channel), it shows the normal
>> syntax-highlighted view, but then whenever I hit a key (or maybe
>> whenever someone else posts a message to the channel? I'm not sure) all
>> the syntax highlighting disappears, and it becomes a very boring black
>> and white rendering of the channel.

> Probably you should report this to the authors of whatever package
> provides the function `toggle-show-tabs-show-ws' (it's not part of Emacs).

Probably it uses font-lock.  So the fix would be to make ERC use the
`font-lock-face' property instead of the `face' property (and then let
font-lock be enabled in ERC buffers according to
global-font-lock-mode).

        Stefan